aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorCourtney Goeltzenleuchter <courtney@LunarG.com>2014-10-24 14:37:18 -0600
committerCourtney Goeltzenleuchter <courtney@LunarG.com>2014-10-31 15:29:18 -0600
commit5255f7bcdbc267620157884f975ad29394047f6f (patch)
tree2cc0bd424fee8670cc27c911a251f2a86c0afc89
parent85089f4a23b5ebb796d1b0a73534328cc4faf446 (diff)
downloadusermoji-5255f7bcdbc267620157884f975ad29394047f6f.tar.xz
misc: Exit update script on error
-rwxr-xr-xupdate_external_sources.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/update_external_sources.sh b/update_external_sources.sh
index 90279acd..9beb7b9b 100755
--- a/update_external_sources.sh
+++ b/update_external_sources.sh
@@ -35,6 +35,7 @@ function create_BIL () {
cd $BASEDIR/BIL
if [ -z "$KHRONOS_ACCOUNT_NAME" ]; then
echo "Must define KHRONOS_ACCOUNT_NAME to access BIL component"
+ exit 1
else
svn checkout --username "$KHRONOS_ACCOUNT_NAME" https://cvs.khronos.org/svn/repos/oglc/trunk/nextgen/proposals/BIL .
fi